classification
Title: AC_LIBOBJ replacement of fileblocks
Type: compile error Stage:
Components: Build Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: martin.panter, python-dev, rpetrov
Priority: normal Keywords: patch

Created on 2013-03-31 20:13 by rpetrov, last changed 2016-03-17 06:23 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
0014-MINGW-AC_LIBOBJ-replacement-of-fileblocks.patch rpetrov, 2013-03-31 20:13
avoid-fileblocks.patch martin.panter, 2016-03-10 23:51 review
Messages (4)
msg185665 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-03-31 20:13
split of issue3871 - actually this is not mingw* specific - it is for all platforms without fileblocks
msg261534 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-03-10 23:51
IMO this is a fault of the autowhatever configuration stuff, not just an enhancement. If configure.ac determines that there is no st_blocks field, it tries to link against a non-existant fileblocks.o file:

./mingw/Makefile:220:LIBOBJS=	 ${LIBOBJDIR}fileblocks$U.o
i486-mingw32-gcc: error: Python/fileblocks.o: No such file or directory

I am not really an autoconf or whatever expert, but it seems if you use a lower-level bit of configure.ac code it avoids the problem; see avoid-fileblocks.patch.
msg261883 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-17 03:08
New changeset acbeb33dc76a by Martin Panter in branch '2.7':
Issue #17603: Check for st_blocks field without requiring fileblocks.o
https://hg.python.org/cpython/rev/acbeb33dc76a

New changeset 0774398c3433 by Martin Panter in branch '3.5':
Issue #17603: Check for st_blocks field without requiring fileblocks.o
https://hg.python.org/cpython/rev/0774398c3433

New changeset 628bd1ebfa22 by Martin Panter in branch 'default':
Issue #17603: Merge configure.ac fix from 3.5
https://hg.python.org/cpython/rev/628bd1ebfa22
msg261887 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-03-17 06:23
I assume that should have fixed the problem, but I have only tested it in roundabout ways, so it would be good to get confirmation if it helps e.g. the original Ming GW problem.
History
Date User Action Args
2016-03-17 06:23:07martin.pantersetstatus: open -> closed
resolution: fixed
messages: + msg261887

versions: + Python 2.7, Python 3.6
2016-03-17 03:08:02python-devsetnosy: + python-dev
messages: + msg261883
2016-03-11 21:04:42martin.panterlinkissue17605 dependencies
2016-03-10 23:51:23martin.pantersetfiles: + avoid-fileblocks.patch

nosy: + martin.panter
messages: + msg261534

components: - Cross-Build
type: enhancement -> compile error
2014-08-03 20:27:57BreamoreBoysetversions: + Python 3.5, - Python 3.4
2013-03-31 20:13:39rpetrovcreate